"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
var topTop = function topTop(containerRect) {
  return function (rect) {
    return ~ ~(rect.top - containerRect.top);
  };
};

exports.topTop = topTop;
var topBottom = function topBottom(containerRect, container) {
  return function (rect) {
    return ~ ~(rect.top - containerRect.top - container.clientHeight);
  };
};

exports.topBottom = topBottom;
var topCenter = function topCenter(containerRect, container) {
  return function (rect) {
    return ~ ~(rect.top - containerRect.top - container.clientHeight / 2);
  };
};

exports.topCenter = topCenter;
var centerTop = function centerTop(containerRect) {
  return function (rect) {
    return ~ ~(rect.top + rect.height / 2 - containerRect.top);
  };
};

exports.centerTop = centerTop;
var centerCenter = function centerCenter(containerRect, container) {
  return function (rect) {
    return ~ ~(rect.top + rect.height / 2 - containerRect.top - container.clientHeight / 2);
  };
};

exports.centerCenter = centerCenter;
var centerBottom = function centerBottom(containerRect, container) {
  return function (rect) {
    return ~ ~(rect.top + rect.height / 2 - containerRect.top - container.clientHeight);
  };
};

exports.centerBottom = centerBottom;
var bottomBottom = function bottomBottom(containerRect, container) {
  return function (rect) {
    return ~ ~(rect.bottom - containerRect.top - container.clientHeight);
  };
};

exports.bottomBottom = bottomBottom;
var bottomTop = function bottomTop(containerRect) {
  return function (rect) {
    return ~ ~(rect.bottom - containerRect.top);
  };
};

exports.bottomTop = bottomTop;
var bottomCenter = function bottomCenter(containerRect, container) {
  return function (rect) {
    return ~ ~(rect.bottom - containerRect.top - container.clientHeight / 2);
  };
};

exports.bottomCenter = bottomCenter;
var getDocumentRect = function getDocumentRect(documentRect) {
  return documentRect;
};
exports.getDocumentRect = getDocumentRect;
var getDocumentElement = function getDocumentElement(_, documentElement) {
  return documentElement;
};
exports.getDocumentElement = getDocumentElement;
var calculateScrollY = function calculateScrollY(_ref) {
  var top = _ref.top;
  return -top;
};
exports.calculateScrollY = calculateScrollY;